# xoxys.cacerts

[![Build Status](https://ci.rknet.org/api/badges/ansible/xoxys.cacerts/status.svg)](https://ci.rknet.org/repos/ansible/xoxys.cacerts)
[![License: MIT](https://img.shields.io/badge/License-MIT-blue.svg?label=license)](https://gitea.rknet.org/ansible/xoxys.cacerts/src/branch/main/LICENSE)

Deploy custom CA certificates.

## Table of content

- [Requirements](#requirements)
- [Default Variables](#default-variables)
  - [cacerts_ca_certs](#cacerts_ca_certs)
  - [cacerts_packages](#cacerts_packages)
  - [cacerts_packages_extra](#cacerts_packages_extra)
- [Dependencies](#dependencies)
- [License](#license)
- [Author](#author)

---

## Requirements

- Minimum Ansible version: `2.10`

## Default Variables

### cacerts_ca_certs

#### Default value

```YAML
cacerts_ca_certs: []
```

#### Example usage

```YAML
  - name: myCA.pem
    path: files/tls/myCA.pem
```

### cacerts_packages

#### Default value

```YAML
cacerts_packages:
  - ca-certificates
```

### cacerts_packages_extra

#### Default value

```YAML
cacerts_packages_extra: []
```

## Dependencies

None.

## License

MIT

## Author

[Robert Kaussow](https://gitea.rknet.org/xoxys)
